#include "deftype.h"

int ahcnvs(unchar *str,unchar *buff,int mode)
/* 文字列１／４，１／２角文字変換 */
{
unsint c;
unchar *s;
	s=buff;
	while ((c=*str++)!=0) {
		if (check_kanji1(c)) c=(c<<8)|*str++;
		if (mode==4||mode==14) { /* 1/2化 */
			if (c>=' ' && c<=0x7f) { /* 元々半角の文字は変換しない */
				*buff++=c;
				continue;
			}
		}
		c=ahcnv(c,mode);
		if (c>=256) *buff++=(c>>8);
		*buff++=(unchar)c;
	}
	*buff=0;
	return(strlen(s));
}
